﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model
{
    public class Equipage
    {
        public string Nom { get; set; }
        public string NomRomanise { get; set; }
        
        public string Region { get; set; }
        public int PremierChap { get; set; }
        public int PremierEp { get; set; }
        public bool Statut { get; set; }
        public string? Description { get; set; }
        public Personnage Capitaine { get; set; }
        public List<Personnage> Membre { get; set; } = new List<Personnage>();
        public List<Equipage> Allie { get; set; } = new List<Equipage>();

        public Equipage(string nom, string nomRomanise, string region, int premierChap, int premierEp, bool statut,Personnage capitaine) 
        { 
            Nom = nom;
            NomRomanise = nomRomanise;
            Region = region;
            PremierChap = premierChap;
            PremierEp = premierEp;
            Statut = statut;
            Capitaine = capitaine;
        }
    }
}
