﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Model
{
    public class FruitDuDemon
    {
        public string Nom { get; set; }
        public string NomRomanise { get; set; }
        public string Type { get; set; }
        public int PremierChap { get; set; }
        public int PremierEp { get; set; }
        public string Description { get; set; }
        public string Forces { get; set; }
        public string Faiblesses { get; set; }
        public List<Personnage> Utilisateur { get; set; }= new List<Personnage>();

        public FruitDuDemon(string nom, string nomRomanise, string type, int premierChap, int premierEp, string description, string forces, string faiblesses)
        {
            Nom = nom;
            NomRomanise = nomRomanise;
            Type = type;
            PremierChap = premierChap;
            PremierEp = premierEp;
            Description = description;
            Forces = forces;
            Faiblesses = faiblesses;

        }
        public FruitDuDemon(string nom, string nomRomanise, string type, int premierChap, int premierEp, string description, string forces, string faiblesses, List<Personnage> utilisateur) : this( nom,  nomRomanise,  type,  premierChap,  premierEp,  description,  forces,  faiblesses) 
        {
            Utilisateur = utilisateur;
        }
    }
}
