﻿namespace Model
{
    public class Personnage
    {
        public string Nom { get; set; }
        public string Epithete { get; set; }
        public int Age { get; set; } 
        public double Taille { get; set; }   
        public string Origine { get; set; }
        public string Biographie { get; set; }
        public string Citation { get; set; }
        public Equipage? Equipage { get; set; }
        public List<FruitDuDemon> Fruit { get; set; } = new List<FruitDuDemon>();



        public Personnage(string nom, string epithete, int age, double taille, string origine, string biographie, string citation) 
        {
            Nom = nom;
            Epithete = epithete;
            Age = age;
            Taille = taille;
            Origine = origine;
            Biographie = biographie;
            Citation = citation;         
            
        }
        public Personnage(string nom, string epithete, int age, double taille, string origine, string biographie, string citation,Equipage equipage,List<FruitDuDemon> fruit) : this(nom,epithete,age,taille,origine,biographie,citation)
        {
            Equipage = equipage;
            Fruit = fruit;

        }
    }
}